Bug 195457 - databases/galera: runtime dependency on asio not needed
Summary: databases/galera: runtime dependency on asio not needed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-27 21:38 UTC by Dmitry Marakasov
Modified: 2014-11-29 00:38 UTC (History)
1 user (show)

See Also:
amdmi3: maintainer-feedback? (horia)


Attachments
Patch (347 bytes, patch)
2014-11-27 21:38 UTC, Dmitry Marakasov
no flags Details | Diff
galera.diff (10.10 KB, patch)
2014-11-28 18:06 UTC, Horia Racoviceanu
no flags Details | Diff
galera.diff (10.03 KB, patch)
2014-11-28 18:22 UTC, Horia Racoviceanu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2014-11-27 21:38:04 UTC
Created attachment 149944 [details]
Patch

For FreeBSD 10.x+ galera add dependency on net/asio. It adds both run and build depends, while the former is not needed: asio is header-only library and galera doesn't install headers which may reference asio's headers. Thus, only build dependency is needed.
Comment 1 Bugzilla Automation freebsd_committer 2014-11-27 21:38:04 UTC
Maintainer CC'd
Comment 2 Horia Racoviceanu 2014-11-28 18:06:44 UTC
Created attachment 149970 [details]
galera.diff

I accept this patch, with modifications:

- Bump PORTREVISION
- Add USE_GCC=yes, fix mysql signal 11 crash
  (mysql needs to be compiled with GCC too)
  https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=188181
- Remove dependency on net/asio [1], use asio from devel/boost-libs
- Remove GARB option (linker problem - upstream notified)
- Fix errnos warnings
  https://bugs.launchpad.net/galera/+bug/1309507
- Fix problem with 'ar' and pass RPATH properly
  https://github.com/joyent/pkgsrc-joyent/blob/master/galera/patches/patch-SConstruct

# portlint -AC
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
WARN: Makefile: no ftp/http mirror in MASTER_SITES for users behind a proxy.
0 fatal errors and 3 warnings found.
Comment 3 Horia Racoviceanu 2014-11-28 18:22:27 UTC
Created attachment 149971 [details]
galera.diff
Comment 4 commit-hook freebsd_committer 2014-11-29 00:38:49 UTC
A commit references this bug:

Author: amdmi3
Date: Sat Nov 29 00:38:00 UTC 2014
New revision: 373590
URL: https://svnweb.freebsd.org/changeset/ports/373590

Log:
  - Bump PORTREVISION
  - Add USE_GCC=yes, fix mysql signal 11 crash
  - Remove dependency on net/asio, use asio from devel/boost-libs
  - Remove GARB option (linker problem - upstream notified)
  - Fix errnos warnings
  - Fix problem with 'ar' and pass RPATH properly

  PR:		195457
  Submitted by:	amdmi3 (but all changes by maintainer)
  Approved by:	horia@racoviceanu.com (maintainer)

Changes:
  head/databases/galera/Makefile
  head/databases/galera/files/garb.in
  head/databases/galera/files/patch-SConstruct
  head/databases/galera/files/patch-galerautils__src__gu_errno.h